Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419693 - Detected issue with RHEL 7.3 install /etc/pam.d/system-auth link broken using DISA security policy
Summary: Detected issue with RHEL 7.3 install /etc/pam.d/system-auth link broken using...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: scap-security-guide
Version: 7.3
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Watson Yuuma Sato
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2017-02-06 18:57 UTC by Hemant B Khot
Modified: 2021-03-11 14:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-29 21:59:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Hemant B Khot 2017-02-06 18:57:09 UTC
Description of problem: Upon installation using DISA security profile , it creates two different files instead of creating link in  /etc/pam.d/.


Version-Release number of selected component (if applicable): RHEL 7.3


How reproducible: Ever


Steps to Reproduce:

1. Start with normal install. 

2.Setup network and hostname

3.Configure Time and Date

4.Select security policy, choose DISA draft stig server with gui's
Software selection, choose server with gui, select Java Platform, KDE, Network Client, Compatibility Libraries, and Security Tools

5.Configure installation destination, configure per DISA requirements, with ext4. Then create mount points. 

6.Accept changes and begin installation add root password and create generic admin account .

7.Let system finish installing.  


Actual results: It creates 2 different files 
[hemant@dhcp4-96 pam.d]$ ls -l
-rw-r--r--. 1 root root 1252 Feb  2 20:19 system-auth
-rw-r--r--. 1 root root 1015 Feb  2 20:17 system-auth-ac



Expected results:
[root@dhcp4-96 pam.d]#
lrwxrwxrwx. 1 root root   14 Feb  7 00:21 system-auth -> system-auth-ac


Additional info:
Need to Debug the DISA security draft.

Comment 1 Tomas Mraz 2017-02-07 09:54:09 UTC
I am sorry but pam package is not the appropriate component to report bugs against for the DISA security policy settings/installer. This needs to be fixed in the DISA installer - I have no idea which component that is.

Comment 2 Tomas Mraz 2017-02-07 09:55:33 UTC
Also just FYI - when there are both system-auth and system-auth-ac as regular files then the system-auth is used. The system-auth-ac contents is irrelevant.

Comment 7 Samantha N. Bueno 2017-08-03 08:35:08 UTC
This looks like oscap-anaconda-addon. Let's see if they have any input on this issue.

Comment 8 Marek Haicman 2017-11-29 21:59:13 UTC
Hello,
most likely culprit in this case is scap-security-guide, which provides remediation scripts utilized to harden the system.

I have just tried described scenario for RHEL 7.4 installation and links are preserved. So if you don't mind, I will assume it's fixed, thus closing this issue.

If you need it for RHEL 7.3 installation, you can still use datastream from network - use one from scap-security-guide-0.1.33-5.el7

Feel free to reopen if your mileage varies.


Note You need to log in before you can comment on or make changes to this bug.